Skip to main content
GET
/
v1
/
inboxes
/
{id}
Get inbox
curl --request GET \
  --url https://api.openmail.sh/v1/inboxes/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "podId": "<string>",
  "address": "jsmith@example.com",
  "displayName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Inbox details

id
string

OpenMail inbox ID

podId
string

ID of the pod this inbox belongs to. Inboxes created without an explicit pod land in your account's default pod.

address
string<email>

Full email address

displayName
string | null

Sender display name

createdAt
string<date-time>